Mojo::Server::Morbo::Backend(3)

NAME
Mojo::Server::Morbo::Backend - Morbo backend base class

SYNOPSIS
  package Mojo::Server::Morbo::Backend::Inotify:
  use Mojo::Base 'Mojo::Server::Morbo::Backend';

  sub modified_files {...}

DESCRIPTION
Mojo::Server::Morbo::Backend is an abstract base class for Morbo backends, like Mojo::Server::Morbo::Backend::Poll.

ATTRIBUTES
Mojo::Server::Morbo::Backend implements the following attributes.

  watch
  my $watch = $backend->watch;
  $backend  = $backend->watch(['/home/sri/my_app']);

Files and directories to watch for changes, defaults to the application script as well as the "lib" and "templates" directories in the current working directory.

  watch_timeout
  my $timeout = $backend->watch_timeout;
  $backend    = $backend->watch_timeout(10);

Maximum amount of time in seconds a backend may block when waiting for files to change, defaults to the value of the "MOJO_MORBO_TIMEOUT" environment variable or 1.

METHODS
Mojo::Server::Morbo::Backend inherits all methods from Mojo::Base and implements the following new ones.

  modified_files
  my $files = $backend->modified_files;

Check if files from "watch" have been modified since the last check and return an array reference with the results. Meant to be overloaded in a subclass.

  # All files that have been modified
  say for @{$backend->modified_files};

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.